Support

Retrieve agent server certificates

View as Markdown

Retrieves all TLS server certificates for the specified agent

GET
/v1/agents/{agentId}/certificates/server

Path Parameters

agentId*string

Unique identifier of the agent (UUID format)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents/string/certificates/server"
[  {    "certificateIssuer": "CN=Agent Name Service CA,O=GoDaddy,C=US",    "certificatePEM": "-----BEGIN CERTIFICATE-----\nCERT DATA\n...truncated...\n-----END CERTIFICATE-----",    "certificatePublicKeyAlgorithm": "RSA",    "certificateSerialNumber": "1234567890ABCDEF",    "certificateSignatureAlgorithm": "SHA256withRSA",    "certificateSubject": "CN=myagent.example.com,O=Example Corp,C=US,SAN:URI:ans://v1.0.0.myagent.example.com",    "certificateValidFrom": "2019-08-24T14:15:22Z",    "certificateValidTo": "2019-08-24T14:15:22Z",    "chainPEM": "string",    "csrId": "3081018b-0577-442d-b092-6e1f08ef6e0d"  }]

Last updated on

How is this guide?